Commit 14412ff7 authored by Robert Lyon's avatar Robert Lyon
Browse files

Bug 1785928: Update min upgrade version values



behatnotneeded

Change-Id: I8df12c5b2ec35a9c92231de8bfa90f1909af6afc
Signed-off-by: Robert Lyon's avatarRobert Lyon <robertl@catalyst.net.nz>
parent e8d5f530
This source diff could not be displayed because it is too large. You can view the blob instead.
......@@ -19,5 +19,5 @@ $config = new stdClass();
$config->version = 2018070500;
$config->series = '18.10';
$config->release = '18.10dev';
$config->minupgradefrom = 2015030409;
$config->minupgraderelease = '15.04.0 (release tag 15.04.0_RELEASE)';
$config->minupgradefrom = 2017031605;
$config->minupgraderelease = '17.04.0 (release tag 17.04.0_RELEASE)';
......@@ -3528,14 +3528,8 @@ class View {
$from = ' FROM {artefact} a ';
// To also check tags
require_once('ddl.php');
if (!table_exists(new XMLDBTable("tag"))) {
$from .= " LEFT JOIN {artefact_tag} t ON t.artefact = a.id ";
}
else {
$typecast = is_postgres() ? '::varchar' : '';
$from .= " LEFT JOIN {tag} t ON t.resourcetype = 'artefact' AND a.id" . $typecast . " = t.resourceid ";
}
$typecast = is_postgres() ? '::varchar' : '';
$from .= " LEFT JOIN {tag} t ON t.resourcetype = 'artefact' AND a.id" . $typecast . " = t.resourceid ";
if ($group) {
// Get group-owned artefacts that the user has view
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment